package com.sunxung.factoring.entity.invoicemanage.vo;

import com.sunxung.factoring.entity.invoicemanage.InvoiceHisGoodsInfo;
import com.sunxung.factoring.entity.invoicemanage.InvoiceHisInfo;

import java.util.List;

/**
 * @Description : 销售发票vo类
 * @Author : JiaYf
 * @Date: 2021-10-23 10:18
 */
public class SaleInvoiceHistoryVo {

    /**  销售发票信息 **/
    private InvoiceHisInfo saleInvoiceInfo;

    /** 货物信息 **/
    private List<InvoiceHisGoodsInfo> saleInvoiceGoodsList;

    public SaleInvoiceHistoryVo() {
    }

    public SaleInvoiceHistoryVo(InvoiceHisInfo saleInvoiceInfo, List<InvoiceHisGoodsInfo> saleInvoiceGoodsList) {
        this.saleInvoiceInfo = saleInvoiceInfo;
        this.saleInvoiceGoodsList = saleInvoiceGoodsList;
    }

    public InvoiceHisInfo getSaleInvoiceInfo() {
        return saleInvoiceInfo;
    }

    public void setSaleInvoiceInfo(InvoiceHisInfo saleInvoiceInfo) {
        this.saleInvoiceInfo = saleInvoiceInfo;
    }

    public List<InvoiceHisGoodsInfo> getSaleInvoiceGoodsList() {
        return saleInvoiceGoodsList;
    }

    public void setSaleInvoiceGoodsList(List<InvoiceHisGoodsInfo> saleInvoiceGoodsList) {
        this.saleInvoiceGoodsList = saleInvoiceGoodsList;
    }
}
